Xsan 2 Migration Guide - Step 3:  Upgrade one controller to Mac OS X Server version 10.6

background image

Step 3: Upgrade one controller to Mac OS X Server version 10.6

Xsan 2.2 requires Mac OS X v10.5.8 or v10.6. If you want to upgrade your metadata
controllers to Mac OS X Server v10.6, upgrade the first controller now. If you are
running Mac OS X Server v10.5 on your controllers and don’t want to upgrade to
v10.6, make sure you’re running v10.5.8 and then skip to the next step.


If you use Xsan Admin to manage your SAN users and groups, start with

your primary controller (the controller hosting the SAN’s Open Directory master).

background image


Upgrading to Xsan 2.2

To identify your Open Directory primary controller:
If you’re using Xsan Admin to manage users and groups, open Xsan Admin, select


Overview in the SAN Assets list, and look for the controller that has the user icon next
to its name. Upgrade that controller first.

To upgrade the controller to Mac OS X Server v10.6:
Insert the version 10.6


Mac OS X Server Install Disc in the computer and double-click

Install Mac OS X.